#ifndef EditorListe_H
#define EditorListe_H

#include <Zeichnung.h>
#include <Scroll.h>
#include <Schrift.h>
#include "Data.h"

using namespace Framework;

class EditorListe : public Zeichnung
{
private:
	LRahmen *ram;
	VScrollBar *scroll;
	Data *data;
	Array< bool > ausgeklappt;
	Schrift *schrift;
	int ref;

public:
	// Konstruktor
	EditorListe( Schrift *zSchrift );
	// Destruktor
	~EditorListe();
	// nicht constant
	void setDataZ( Data *d );
	void doMausEreignis( MausEreignis &me ) override;
	bool tick( double zeit ) override;
	void render( Bild &zRObj ) override;
	// Reference Counting
	EditorListe *getThis();
	EditorListe *release();
};

#endif