#include <main.h>
#include <Fenster.h>
#include <Punkt.h>
#include <Bildschirm.h>
#include <RenderThread.h>
#include <MausEreignis.h>
#include <Schrift.h>
#include <DateiSystem.h>
#include <Text.h>
#include <TastaturEreignis.h>
#include "GUI.h"

using namespace Framework;

void FSchlieen( void *p, void *obj )
{
	StopNachrichtenSchleife( ( (WFenster*)obj )->getFensterHandle() );
}

int KSGStart Framework::Start( Startparam p )
{
	WNDCLASS wc = F_Normal( p.hinst );
	wc.lpszClassName = "2D Creator";
	WFenster *wf = new WFenster();
	wf->erstellen( WS_OVERLAPPEDWINDOW, wc );
	wf->setSize( 1000, 820 );
	wf->setPosition( Bildschirmmitte( wf->getThis() ) );
	wf->setVerschiebbar( 1 );
	wf->setVSchlieAktion( FSchlieen );
	wf->setMausAktion( _ret1ME );
	wf->setTastaturAktion( _ret1TE );
	wf->setAnzeigeModus( 1 );

	Bildschirm *bs = new Bildschirm3D( wf->getThis() );
	wf->setBildschirm( bs->getThis() );
	bs->update();
	bs->render();

	RenderTh *rt = new RenderTh();
	rt->setBildschirm( bs->getThis() );
	rt->beginn();

	LTDSDatei sd;
	sd.setPfad( new Text( "../data/normal.ltds" ) );
	sd.leseDaten();
	Schrift *sn = sd.ladeSchrift();

	GUI *gui = new GUI( sn );
	bs->addMember( gui );

	StartNachrichtenSchleife();

	rt->beenden();

	gui->release();
	sn->release();
	rt->release();
	bs->release();
	wf->setBildschirm( 0 );
	wf->release();

	return 0;
}